## org.jfree.chart.axis
Class SegmentedTimeline.SegmentRange

    java.lang.Object
      org.jfree.chart.axis.SegmentedTimeline.Segment
          org.jfree.chart.axis.SegmentedTimeline.SegmentRange

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

Direct Known Subclasses:
  SegmentedTimeline.BaseTimelineSegmentRange

Enclosing class:
  SegmentedTimeline

    protected class SegmentedTimeline.SegmentRange

extends SegmentedTimeline.Segment

Private internal class to represent a range of segments. This class is mainly used to store in one object a range of exception segments. This optimizes certain timelines that use a small segment size (like an intraday timeline) allowing them to express a day exception as one SegmentRange instead of multi Segments.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.axis.SegmentedTimeline.Segment
`millisecond, segmentEnd, segmentNumber, segmentStart`

Constructor Summary
`SegmentedTimeline.SegmentRange(long fromMillisecond, long toMillisecond)` Creates a SegmentRange between a start and end domain values.

Method Summary
`long` `getSegmentCount()` Returns the number of segments contained in this range.
`void` `inc(long n)` Not implemented for SegmentRange.
`boolean` `inExcludeSegments()` Returns true if we are an excluded segment.
`boolean` `inIncludeSegments()` Returns true if all Segments of this SegmentRenge are an included segment and are not an exception.
`SegmentedTimeline.Segment` `intersect(long from, long to)` Returns a segment that is the intersection of this segment and the interval.

Methods inherited from class org.jfree.chart.axis.SegmentedTimeline.Segment
`after, before, calculateSegmentNumber, compareTo, contained, contains, contains, contains, copy, dec, dec, equals, getDate, getMillisecond, getSegmentEnd, getSegmentNumber, getSegmentStart, inc, inExceptionSegments, moveIndexToEnd, moveIndexToStart`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentedTimeline.SegmentRange

    public SegmentedTimeline.SegmentRange(long fromMillisecond,
                                          long toMillisecond)

  Creates a SegmentRange between a start and end domain values.

  Parameters:
    `fromMillisecond` - start of the range
    `toMillisecond` - end of the range

Method Detail

### getSegmentCount

    public long getSegmentCount()

  Returns the number of segments contained in this range.

  Overrides:
    `getSegmentCount` in class `SegmentedTimeline.Segment`
  Returns:
    The segment count.

### intersect

    public SegmentedTimeline.Segment intersect(long from,
                                               long to)

  Returns a segment that is the intersection of this segment and the interval.

  Overrides:
    `intersect` in class `SegmentedTimeline.Segment`
  Parameters:
    `from` - the start of the interval.
    `to` - the end of the interval.
  Returns:
    The intersection.

### inIncludeSegments

    public boolean inIncludeSegments()

  Returns true if all Segments of this SegmentRenge are an included segment and are not an exception.

  Overrides:
    `inIncludeSegments` in class `SegmentedTimeline.Segment`
  Returns:
    `true` or false.

### inExcludeSegments

    public boolean inExcludeSegments()

  Returns true if we are an excluded segment.

  Overrides:
    `inExcludeSegments` in class `SegmentedTimeline.Segment`
  Returns:
    `true` or false.

### inc

    public void inc(long n)

  Not implemented for SegmentRange. Always throws IllegalArgumentException.

  Overrides:
    `inc` in class `SegmentedTimeline.Segment`
  Parameters:
    `n` - Number of segments to increment.